% Solve ODE for all countries and output the solution as a vector.
function Y = multi_OBJ_all_smk2(p, T)
global Tx Lparam obj_param n tot_obs

Y = zeros(tot_obs,1);
for i=1:n
    param = Lparam(i,:);
    param(obj_param) = p;
    
    [t,y] = ode45(@multi_smk, Tx{i,2}(:,1), param);
    
    idx = find(Y==0,1);
    
    Y(idx:idx-1+length(Tx{i,2})) = y(:,1);
end

